LibreOffice LibreOffice 26.2 SDK C/C++ API Reference

Loading...
Searching...
No Matches
salhelper::Condition Class Referenceabstract

`#include <condition.hxx>`

## Public Member Functions
| Condition (osl::Mutex &aMutex)
virtual | ~Condition ()

## Protected Member Functions
virtual bool | applies () const =0

## Friends
class | ConditionModifier
class | ConditionWaiter

## Constructor & Destructor Documentation

## ◆ Condition()

salhelper::Condition::Condition | ( | osl::Mutex & | aMutex | ) |

## ◆ ~Condition()

virtual salhelper::Condition::~Condition | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ applies()

virtual bool salhelper::Condition::applies | ( |  | ) | const
| protected pure virtual

## Friends And Related Symbol Documentation

## ◆ ConditionModifier

friend class ConditionModifier
| friend

## ◆ ConditionWaiter

friend class ConditionWaiter
| friend

The documentation for this class was generated from the following file:

- salhelper/condition.hxx